## class SG_EXPORT osg::ImpostorSpriteManager

> Helper class for managing the reuse of ImpostorSprite resources

## Inheritance:

### Public Methods

ImpostorSpriteManager()
bool empty() const
ImpostorSprite* first()
ImpostorSprite* last()
void push_back(ImpostorSprite* is)
void remove(ImpostorSprite* is)
ImpostorSprite* createOrReuseImpostorSprite(int s, int t, int frameNumber)
StateSet* createOrReuseStateSet()
void reset()

### Protected Fields

ref_ptr<TexEnv> _texenv
ref_ptr<AlphaFunc> _alphafunc
ImpostorSprite* _first
ImpostorSprite* _last
StateSetList _stateSetList
unsigned int _reuseStateSetIndex

### Protected Methods

~ImpostorSpriteManager()

### Protected Members

typedef std::vector< ref_ptr<StateSet> > StateSetList

### Inherited from Referenced:

### Public Methods

inline Referenced& operator = (Referenced&)
static void setDeleteHandler(DeleteHandler* handler)
static DeleteHandler* getDeleteHandler()
inline void ref() const
inline void unref_nodelete() const
inline int referenceCount() const
inline void unref() const

### Protected Fields

mutable int _refCount

## Documentation

> Helper class for managing the reuse of ImpostorSprite resources

`ImpostorSpriteManager()`

`bool empty() const`

`ImpostorSprite* first()`

`ImpostorSprite* last()`

`void push_back(ImpostorSprite* is)`

`void remove(ImpostorSprite* is)`

`ImpostorSprite* createOrReuseImpostorSprite(int s, int t, int frameNumber)`

`StateSet* createOrReuseStateSet()`

`void reset()`

`~ImpostorSpriteManager()`

`ref_ptr<TexEnv> _texenv`

`ref_ptr<AlphaFunc> _alphafunc`

`ImpostorSprite* _first`

`ImpostorSprite* _last`

`typedef std::vector< ref_ptr<StateSet> > StateSetList`

`StateSetList _stateSetList`

`unsigned int _reuseStateSetIndex`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.